This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 38848 - exec hangs in .profile script for /bin/sh
exec hangs in .profile script for /bin/sh
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: bash (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-02 17:24 EDT by John Benninghoff
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-02 17:24:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Benninghoff 2001-05-02 17:24:22 EDT
My .profile script hangs when it attempts to exec another shell.  My
login shell is /bin/sh.  You can reproduce this by creating an account
with /bin/sh as the login shell and then place an exec /bin/bash in
the .profile script.
Comment 1 Bernhard Rosenkraenzer 2001-05-03 11:40:57 EDT
This is the expected behavior - your inital shell executes .profile, which in 
turn executes /bin/bash, which in turn executes .profile, and so on.
If you want to change your login shell, use chsh, not exec.

Note You need to log in before you can comment on or make changes to this bug.